dbXML API

## org.dbxml.core.corba.db
Class _DatabaseManagerStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.dbxml.core.corba.db._DatabaseManagerStub

All Implemented Interfaces:
  DatabaseManager, DatabaseManagerOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object, java.io.Serializable, ServantManagement, ServantManagementOperations

public class _DatabaseManagerStub
extends org.omg.CORBA.portable.ObjectImpl
implements DatabaseManager

Generated from IDL definition of interface "DatabaseManager"

Author:
  JacORB IDL compiler
See Also:
  Serialized Form

Field Summary
`static java.lang.Class` `_opsClass`

Constructor Summary
`_DatabaseManagerStub()`

Method Summary
`java.lang.String[]` `_ids()`
`java.lang.String` `getName()`
`void` `remove()`
`void` `shutdown()`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Field Detail

### _opsClass

    public static final java.lang.Class _opsClass

Constructor Detail

### _DatabaseManagerStub

    public _DatabaseManagerStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `org.omg.CORBA.portable.ObjectImpl`

### remove

    public void remove()

  Specified by:
    `remove` in interface `ServantManagementOperations`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `DatabaseManagerOperations`

### getName

    public java.lang.String getName()
                             throws APIException

  Specified by:
    `getName` in interface `DatabaseManagerOperations`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved